[Rubyinstaller-devel] gcc 4.4.0

Luis Lavena luislavena at gmail.com
Wed Jul 1 12:54:05 EDT 2009


On Wed, Jul 1, 2009 at 1:24 PM, Roger Pack<rogerdpack at gmail.com> wrote:
> I noticed that mingw just released a gcc-4.4.0 with only dwarf
> exception handling supported.
>
> Any thoughts on this? Would it "work" for ruby on windows?

I haven't found any performance difference between 3.4.5 and 4.3 for
Windows, but could try 4.4.0

AFAIk, for the dwarf support, it will only require the dll for
throwing exceptions across boundaries. I don't see a problem with
that, except the linking.

But maybe I'm wrong?

-- 
Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry


More information about the Rubyinstaller-devel mailing list